tigase.xmpp.impl.roster

## Class RosterElement

- java.lang.Object
- - tigase.xmpp.impl.roster.RosterElement

- All Implemented Interfaces:
    RosterElementIfc

      public class RosterElement
      extends Object
      implements RosterElementIfc

  Describe class RosterElement here. Created: Wed Oct 29 14:21:16 2008
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static long` | `INITIAL_LAST_SEEN_VAL` Field description

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RosterElement(tigase.xml.Element roster_el, XMPPResourceConnection session)` Creates a new `RosterElement` instance.
    `RosterElement(tigase.xmpp.JID jid, String name, String[] groups, XMPPResourceConnection session)` Constructs ...

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addGroups(String[] groups)` Method description
    `double` | `getActivity()`
    `String[]` | `getGroups()` Method description
    `tigase.xmpp.JID` | `getJid()` Method description
    `long` | `getLastSeen()`
    `String` | `getName()` Method description
    `String` | `getOtherData()` Method description
    `tigase.xml.Element` | `getRosterElement()` Method description
    `tigase.xml.Element` | `getRosterItem()` Method description
    `RosterAbstract.SubscriptionType` | `getSubscription()` Method description
    `double` | `getWeight()`
    `boolean` | `isModified()` Method description
    `boolean` | `isOnline()` Method description
    `boolean` | `isPersistent()`
    `boolean` | `isPresence_sent()` Method description
    `void` | `setActivity(double activity)`
    `void` | `setGroups(String[] groups)` Method description
    `void` | `setLastSeen(long lastSeen)`
    `void` | `setName(String name)` Method description
    `void` | `setOnline(String resource, boolean online)` Method description
    `void` | `setOtherData(String other_data)` Method description
    `void` | `setPersistent(boolean persistent)` Method description
    `void` | `setPresence_sent(boolean presence_sent)` Method description
    `void` | `setSubscription(RosterAbstract.SubscriptionType subscription)` Method description
    `void` | `setWeight(double weight)`
    `String` | `toString()` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INITIAL_LAST_SEEN_VAL

          protected static final long INITIAL_LAST_SEEN_VAL

      Field description
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RosterElement

          public RosterElement(tigase.xml.Element roster_el,
                       XMPPResourceConnection session)
                        throws tigase.util.TigaseStringprepException

      Creates a new `RosterElement` instance.
      Parameters:
        `roster_el` -
        `session` -
      Throws:
        `tigase.util.TigaseStringprepException`

    - #### RosterElement

          public RosterElement(tigase.xmpp.JID jid,
                       String name,
                       String[] groups,
                       XMPPResourceConnection session)

      Constructs ...
      Parameters:
        `jid` -
        `name` -
        `groups` -
        `session` -

  - ### Method Detail

    - #### addGroups

          public void addGroups(String[] groups)

      Method description
      Parameters:
        `groups` -

    - #### getGroups

          public String[] getGroups()

      Method description
      Returns:

    - #### getJid

          public tigase.xmpp.JID getJid()

      Method description
      Returns:

    - #### getName

          public String getName()

      Method description
      Returns:

    - #### getOtherData

          public String getOtherData()

      Method description
      Returns:

    - #### getRosterElement

          public tigase.xml.Element getRosterElement()

      Method description
      Returns:

    - #### getRosterItem

          public tigase.xml.Element getRosterItem()

      Method description
      Returns:

    - #### toString

          public String toString()

      Method description
      Overrides:
        `toString` in class `Object`
      Returns:

    - #### getSubscription

          public RosterAbstract.SubscriptionType getSubscription()

      Method description
      Returns:

    - #### isModified

          public boolean isModified()

      Method description
      Returns:

    - #### isOnline

          public boolean isOnline()

      Method description
      Returns:

    - #### isPresence_sent

          public boolean isPresence_sent()

      Method description
      Returns:

    - #### setGroups

          public final void setGroups(String[] groups)

      Method description
      Parameters:
        `groups` -

    - #### setName

          public final void setName(String name)

      Method description
      Parameters:
        `name` -

    - #### setOnline

          public void setOnline(String resource,
                       boolean online)

      Method description
      Parameters:
        `resource` -
        `online` -

    - #### setOtherData

          public void setOtherData(String other_data)

      Method description
      Parameters:
        `other_data` -

    - #### setPresence_sent

          public void setPresence_sent(boolean presence_sent)

      Method description
      Parameters:
        `presence_sent` -

    - #### setSubscription

          public void setSubscription(RosterAbstract.SubscriptionType subscription)

      Method description
      Parameters:
        `subscription` -

    - #### isPersistent

          public boolean isPersistent()

      Returns:

    - #### setPersistent

          public void setPersistent(boolean persistent)

      Method description
      Parameters:
        `persistent` -

    - #### getActivity

          public double getActivity()

      Returns:
        the activity

    - #### setActivity

          public void setActivity(double activity)

      Parameters:
        `activity` - the activity to set

    - #### getWeight

          public double getWeight()

      Returns:
        the weight

    - #### setWeight

          public void setWeight(double weight)

      Parameters:
        `weight` - the weight to set

    - #### getLastSeen

          public long getLastSeen()

      Returns:
        the lastSeen

    - #### setLastSeen

          public void setLastSeen(long lastSeen)

      Parameters:
        `lastSeen` - the lastSeen to set

Copyright © 2013 Tigase. All rights reserved.